function y = noise(b,N)

%global N;
lengthOfVect = length(b);
uniRand = rand(N,1);
resVect = zeros(lengthOfVect,1);
intervals = zeros(lengthOfVect - 1,1);
intervals(1) = b(1);

for j = 2: lengthOfVect - 1
    intervals(j) = intervals(j-1) + b(j);
end

for i = 1:N
    j = 1;
    found = 0;
    
    if uniRand(i) < intervals(1)
        resVect(1) = resVect(1) + 1;
        continue;
    end
    
    if uniRand(i) > intervals(lengthOfVect-1)
        resVect(lengthOfVect) = resVect(lengthOfVect) + 1;
        continue;
    end
    
    left = 1;
    right = lengthOfVect -1;
    
    while (right - left > 1)
        center = floor((right + left) / 2); %??
        if (intervals(center)) > uniRand(i)
            right = center;
        else
            left = center;
        end
    end
    
    resVect(right) = resVect(right) + 1;
end
    
resVect = resVect / sum(resVect);
y = resVect;