function y=getSuitableFragments(mz,labels,allFragments)
% return suitable fragments for the peak

    % labels = max numbers of labels in the input file (full scan) 
    %   or the exact number of labels (daughter ion scanning)
    
    % maxLf = max number of labels that the fragment can have
    
    
    fragments = struct('molecule', {}, ...
                       'role', {}, ...
                       'formula', {}, ...
                       'carbons', {}, ...
                       'mz', {}, ...
                       'probability', {});

    row=1;

    for i=1:length(allFragments)
        formula=allFragments(i).formula;
        maxLf=maxNumberOfLabels(formula);
        if allFragments(i).mz <= mz & allFragments(i).mz + labels >= mz & allFragments(i).mz + maxLf >= mz
            fragments(row)=allFragments(i);
            row=row+1;
        end;
    end;
    y=fragments;