function y = maxNumberOfLabels(formula)
% maxNumberOfLabels: calculates maximal number of extra neutrons
% allowable in a molecule.
%
% Parameters
%   formula: the atomic formula of the molecule

% Mika Miettinen

    global Elements;
    
    sum = 0;
    %sum_foo = 0;
    for i = 1 : length(formula)
        
        indOfCurr = findElement(formula(i).name);
        if indOfCurr < 1
            myMessage('Internal error in maxNumberOfLabels',-99);
        end
        heavyIsotope = length(Elements(indOfCurr).isotopes) - 1;
        sum = sum + formula(i).atomCnt * heavyIsotope;
        
        
        %IF_LAUSE TURHA, NAHDAAN SUORAAN VEKTOREIDEN PITUUKSISTA
        %if formula(i).name == 'C' | formula(i).name ==  'H' | formula(i).name == 'N'
        %    sum_foo = sum_foo + formula(i).atomCnt;
        %else if formula(i).name ~= 'P'
        %    sum_foo = sum_foo + formula(i).atomCnt*2;
        %end
        %end
    end
    %if sum ~= sum_foo
    %    myMessage('MAXNUMOFLABELS EI TOIMI!!',-99);
    %end
    y = sum;
